CGAL 5.6.3 - Linear Cell Complex

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Cell_attribute_with_point_and_id< LCC, Info_, Tag, OnMerge, OnSplit > Class Template Reference
Linear Cell Complex Reference » Classes

`#include <CGAL/Cell_attribute_with_point_and_id.h>`

## Inherits from

CGAL::Cell_attribute_with_point< LCC, Info_, Tag, OnMerge, OnSplit >.

## Definition

template<typename LCC, typename Info_, typename Tag, typename OnMerge, typename OnSplit>
class CGAL::Cell_attribute_with_point_and_id< LCC, Info_, Tag, OnMerge, OnSplit >

The class `Cell_attribute_with_point_and_id` represents an attribute containing a point, containing an information when `Info_` is different from `void`, and having an id.

This class can typically be used to associate a point with id to each 0-cell of a combinatorial or a generalized map.

Is Model Of:
  `CellAttributeWithPoint`

Template Parameters

  LCC | a model of the `LinearCellComplex` concept.
  Info_ | the type of the information contained in the attribute, `void` for no information. Equal to `void` by default.
  Tag | is `Tag_true` to enable the storage of a `Dart_descriptor` of the associated cell, `Tag_false` otherwise. Equal to `Tag_true` by default.
  OnMerge | a functor called when two attributes are merged. Equal to `Null_functor` by default.
  OnSplit | a functor called when one attribute is split in two. Equal to `Null_functor` by default.

See also
  `CGAL::Linear_cell_complex_for_combinatorial_map<d,d2,LCCTraits,Items,Alloc>`
  `CGAL::Linear_cell_complex_for_generalized_map<d,d2,LCCTraits,Items,Alloc>`

## Public Member Functions
int | id () const
| Returns the index.
int & | id ()
| Returns the index by reference.

## Additional Inherited Members
Public Types inherited from CGAL::Cell_attribute_with_point< LCC, Info_, Tag, OnMerge, OnSplit >
typedef LCC::Point | Point
Public Types inherited from CGAL::Cell_attribute< LCC, Info_, Tag, OnMerge, OnSplit >
typedef Info_ | Info
typedef Tag | Supports_cell_dart
typedef OnMerge | On_merge
typedef OnSplit | On_split
typedef CMap::Dart_descriptor | Dart_descriptor
typedef CMap::Dart_const_descriptor | Dart_const_descriptor